use std::{collections::HashMap, net::SocketAddr, path::PathBuf};

use parking_lot::RwLock;
use serde::Deserialize;

#[derive(Deserialize, Debug)]
pub struct Schema {
    pub listen_at: SocketAddr,
    #[cfg(feature = "ipc")]
    pub ipc: Option<PathBuf>,
    pub hosts: RwLock<HashMap<String, (SocketAddr, String, String)>>,
}
